org.eclipse.jetty.server

## Interface UserIdentity.UnauthenticatedUserIdentity

- All Superinterfaces:
    UserIdentity
  Enclosing interface:
    UserIdentity

      public static interface UserIdentity.UnauthenticatedUserIdentity
      extends UserIdentity

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.server.UserIdentity

      `UserIdentity.Scope, UserIdentity.UnauthenticatedUserIdentity`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jetty.server.UserIdentity

      `UNAUTHENTICATED_IDENTITY`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.jetty.server.UserIdentity

      `getSubject, getUserPrincipal, isUserInRole`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.